Bug 49854 - [EDITING] Crash clicking on header-tab in format page style
Summary: [EDITING] Crash clicking on header-tab in format page style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.6.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-12 16:43 UTC by m.a.riosv
Modified: 2012-05-14 18:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with symbols (10.35 KB, text/plain)
2012-05-13 14:06 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2012-05-12 16:43:50 UTC
Create a new spreadsheet.
Menu/Format/Page - Header tab => crash
Comment 1 Korrawit Pruegsanusak 2012-05-12 22:07:22 UTC
mariosv, thanks for the bug report. Anyway, please always contribute information regarding tinderbox, installer date / time, build ID in about box, ...

[REPRODUCE] with master build from tinderbox Win-x86@6-fast, pull time 2012-05-11 21:40:19, Build ID: 7327195

[NOT REPRODUCE] with master build from tinderbox Win-x86@6-fast, pull time 2012-05-08 21:43:52, Build ID: 7f3f6e4

Tested on Windows XP
Comment 2 m.a.riosv 2012-05-13 03:18:46 UTC
Excuse me,

Win7x64Ultimate,
master~2012-05-11_21.40.19_LibO-Dev_3.6.0alpha0_Win_x86_install_en-US.msi
version 3.6.0alpha0+ (Build ID: 7327195)
Comment 3 Jean-Baptiste Faure 2012-05-13 03:37:36 UTC
Reproducible with LibO master (Build ID: dc6388e) under Ubuntu 11.10 x86_64 with gnome-shell.
Set platform accordingly to All

Best regards. JBF
Comment 4 Kohei Yoshida 2012-05-13 07:37:30 UTC
I'll take it.
Comment 5 Julien Nabet 2012-05-13 14:06:25 UTC
Created attachment 61585 [details]
bt with symbols

I reproduced the bug on pc Debian x86-64 with master updated today (40c8170c5281cd7b19313a79f902ef9715351c9f).
Hope this bt will be useful.
Comment 6 Not Assigned 2012-05-14 09:14:22 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf8b304af3e88e9d8b42793f079124939a616d3b

fdo#49854: Adjust array access for the addition of color scale attribute.
Comment 7 Kohei Yoshida 2012-05-14 09:15:13 UTC
Fixed on master.
Comment 8 m.a.riosv 2012-05-14 18:19:58 UTC
Thank's Kohei and all.